Bug 166131 - CAN-2005-2555 IPSEC lacks restrictions
Summary: CAN-2005-2555 IPSEC lacks restrictions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050806,sour...
Keywords: Security
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-08-17 08:35 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:51:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-sock-policy-cap.patch (752 bytes, patch)
2005-08-17 17:54 UTC, John W. Linville
no flags Details | Diff
jwltest-sock-policy-cap.patch (748 bytes, patch)
2005-08-17 18:15 UTC, John W. Linville
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mark J. Cox 2005-08-17 08:35:19 UTC
A flaw was discovered where xfrm_user_policy was not protected by CAP_NET_ADMIN.
 A local unprivileged user could use this flaw to bypass or create IPSEC
policies.  This is not believed to allow privilege escalation, but could lead to
a denial of service (since there is no upper bounds on creating policies).

A fix was committed to 2.6 to correct this issue:

http://linux.bkbits.net:8080/linux-2.6/cset@42f783aesxFQlEEg0e9GPi4oeVDHbA

Comment 1 John W. Linville 2005-08-17 17:54:24 UTC
Created attachment 117851 [details]
jwltest-sock-policy-cap.patch

Comment 2 John W. Linville 2005-08-17 18:13:59 UTC
Test kernels available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Test reports welcome... :-) 

Comment 3 John W. Linville 2005-08-17 18:15:08 UTC
Created attachment 117854 [details]
jwltest-sock-policy-cap.patch

Should use the one generated for RHEL4...

Comment 8 Red Hat Bugzilla 2005-10-05 13:51:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.